%global pypi_name python3-saml
%global dist_name python3_saml
%global module_name onelogin
%global commitId 6988bdab7a203abfe8dc264992f7e350c67aef3d

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       1.16.0
Release:       1%{?dist}
Summary:       Saml Python Toolkit. Add SAML support to your Python software using this library

License:       Apache-2.0
URL:           https://github.com/SAML-Toolkits/python3-saml
Source0:       python3-saml-6988bdab7a203abfe8dc264992f7e350c67aef3d.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-pip
BuildRequires: python%{python3_pkgversion}-poetry-core >= 1.1.15
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools >= 40.1.0
BuildRequires: python%{python3_pkgversion}-wheel

%global _description %{expand:
Add SAML support to your Python software using this library. Forget those
complicated libraries and use the open source library provided by the SAML tool
community.}

%description
%{_description}

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:       %{summary}
Requires:      python%{python3_pkgversion}-lxml >= 4.6.5
Conflicts:     python%{python3_pkgversion}-lxml = 4.7.0
Requires:      python%{python3_pkgversion}-xmlsec >= 1.3.9
Requires:      python%{python3_pkgversion}-isodate >= 0.6.1

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n %{pypi_name}-%{commitId}

%build
set -ex
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
set -ex
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{dist_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{dist_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md changelog.md
%license LICENSE
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{dist_name}-%{version}.dist-info

%changelog
* Mon Dec 04 2023 Satoe Imaishi <simaishi@redhat.com> - 1.16.0-1
- Initial package
